#1071 !MESSAGE The encoding found: >>uft-8<< on C:\Python26\Lib\te

closed-wont-fix
nobody
None
9
2015-02-25
2010-02-14
Anonymous
No

!SESSION 2010-02-13 21:23:15.484 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -data C:\Documents and Settings\CPT5D2K\workspace_collective_intelligence -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.jface 2 0 2010-02-13 21:23:25.828
!MESSAGE Keybinding conflicts occurred. They may interfere with normal accelerator operation.
!SUBENTRY 1 org.eclipse.jface 2 0 2010-02-13 21:23:25.828
!MESSAGE A conflict occurred for CTRL+SHIFT+T:
Binding(CTRL+SHIFT+T,
ParameterizedCommand(Command(org.eclipse.jdt.ui.navigate.open.type,Open Type,
Open a type in a Java editor,
Category(org.eclipse.ui.category.navigate,Navigate,null,true),
,
,,true),null),
org.eclipse.ui.defaultAcceleratorConfiguration,
org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+SHIFT+T,
ParameterizedCommand(Command(com.python.pydev.analysis.actions.pyGlobalsBrowserWorkbench,Python Show Class Browser,
Show Class Browser,
Category(org.python.pydev.ui.category.source,Pydev - Editor,Pydev editor category,true),
,
,,true),null),
org.eclipse.ui.defaultAcceleratorConfiguration,
org.eclipse.ui.contexts.window,,,system)

!ENTRY org.python.pydev 1 1 2010-02-13 21:28:46.343
!MESSAGE Information about process of adding new interpreter:
- Opening dialog to request executable (or jar).
- Chosen interpreter (name and file):'Tuple [python_2.6 -- C:\Python26\python.exe]
- Ok, file is non-null. Getting info on:C:\Python26\python.exe
- Beggining task:Getting libs totalWork:100
- Setting task name:Mounting executable string...
- Setting task name:Executing: C:\Python26\python.exe -u C:\development\eclipse-java-galileo-SR1-win32\eclipse\plugins\org.python.pydev_1.5.4.2010011921\PySrc\interpreterInfo.py
- Setting task name:Making pythonpath environment... C:\Python26\python.exe -u C:\development\eclipse-java-galileo-SR1-win32\eclipse\plugins\org.python.pydev_1.5.4.2010011921\PySrc\interpreterInfo.py
- Setting task name:Making exec... C:\Python26\python.exe -u C:\development\eclipse-java-galileo-SR1-win32\eclipse\plugins\org.python.pydev_1.5.4.2010011921\PySrc\interpreterInfo.py
- Setting task name:Reading output...
- Setting task name:Waiting for process to finish.
- Success getting the info. Result:Name:python_2.6:EndName:Version2.6Executable:C:\Python26\python.exe|C:\Python26|C:\Python26\DLLs|C:\Python26\lib|C:\Python26\lib\lib-tk|C:\Python26\lib\plat-win|C:\Python26\lib\site-packages|C:\Python26\python26.zip@$|Image|OpenGL|__builtin__|__main__|_ast|_bisect|_bytesio|_codecs|_codecs_cn|_codecs_hk|_codecs_iso2022|_codecs_jp|_codecs_kr|_codecs_tw|_collections|_csv|_fileio|_functools|_heapq|_hotshot|_json|_locale|_lsprof|_md5|_multibytecodec|_random|_sha|_sha256|_sha512|_sre|_struct|_subprocess|_symtable|_warnings|_weakref|_winreg|array|audioop|binascii|cPickle|cStringIO|cmath|datetime|email|errno|exceptions|future_builtins|gc|imageop|imp|itertools|marshal|math|mmap|msvcrt|nt|numpy|operator|os|os.path|parser|signal|strop|sys|thread|time|wx|wxPython|xxsubtype|zipimport|zlib

!ENTRY org.python.pydev.core 4 4 2010-02-13 21:29:03.015
!MESSAGE The encoding found: >>uft-8<< on C:\Python26\Lib\test\bad_coding.py is not a valid encoding.
!STACK 0
java.io.UnsupportedEncodingException: The encoding found: >>uft-8<< on C:\Python26\Lib\test\bad_coding.py is not a valid encoding.
at org.python.pydev.core.REF.getValidEncoding(REF.java:879)
at org.python.pydev.core.REF.getPythonFileEncoding(REF.java:855)
at org.python.pydev.core.REF.getPythonFileEncoding(REF.java:796)
at org.python.pydev.core.REF.getCustomReturnFromFile(REF.java:671)
at com.python.pydev.analysis.additionalinfo.builders.InterpreterObserver.restoreInfoForModuleManager(InterpreterObserver.java:170)
at com.python.pydev.analysis.additionalinfo.builders.InterpreterObserver.notifyDefaultPythonpathRestored(InterpreterObserver.java:59)
at org.python.pydev.ui.interpreters.AbstractInterpreterManager.restorePythopathForAllInterpreters(AbstractInterpreterManager.java:460)
at org.python.pydev.ui.pythonpathconf.AbstractInterpreterPreferencesPage.doRestore(AbstractInterpreterPreferencesPage.java:113)
at org.python.pydev.ui.pythonpathconf.AbstractInterpreterPreferencesPage$1.run(AbstractInterpreterPreferencesPage.java:177)
at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)

!ENTRY org.python.pydev.core 4 4 2010-02-13 21:35:59.703
!MESSAGE The encoding found: >>uft-8<< on C:\Python26\Lib\test\bad_coding.py is not a valid encoding.
!STACK 0
java.io.UnsupportedEncodingException: The encoding found: >>uft-8<< on C:\Python26\Lib\test\bad_coding.py is not a valid encoding.
at org.python.pydev.core.REF.getValidEncoding(REF.java:879)
at org.python.pydev.core.REF.getPythonFileEncoding(REF.java:855)
at org.python.pydev.core.REF.getPythonFileEncoding(REF.java:796)
at org.python.pydev.core.REF.getCustomReturnFromFile(REF.java:671)
at com.python.pydev.analysis.additionalinfo.builders.InterpreterObserver.restoreInfoForModuleManager(InterpreterObserver.java:170)
at com.python.pydev.analysis.additionalinfo.builders.InterpreterObserver.notifyDefaultPythonpathRestored(InterpreterObserver.java:59)
at org.python.pydev.ui.interpreters.AbstractInterpreterManager.restorePythopathForAllInterpreters(AbstractInterpreterManager.java:460)
at org.python.pydev.ui.pythonpathconf.AbstractInterpreterPreferencesPage.doRestore(AbstractInterpreterPreferencesPage.java:113)
at org.python.pydev.ui.pythonpathconf.AbstractInterpreterPreferencesPage$1.run(AbstractInterpreterPreferencesPage.java:177)
at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
!SESSION 2010-02-14 13:12:18.406 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.jface 2 0 2010-02-14 13:12:46.640
!MESSAGE Keybinding conflicts occurred. They may interfere with normal accelerator operation.
!SUBENTRY 1 org.eclipse.jface 2 0 2010-02-14 13:12:46.640
!MESSAGE A conflict occurred for CTRL+SHIFT+T:
Binding(CTRL+SHIFT+T,
ParameterizedCommand(Command(org.eclipse.jdt.ui.navigate.open.type,Open Type,
Open a type in a Java editor,
Category(org.eclipse.ui.category.navigate,Navigate,null,true),
,
,,true),null),
org.eclipse.ui.defaultAcceleratorConfiguration,
org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+SHIFT+T,
ParameterizedCommand(Command(com.python.pydev.analysis.actions.pyGlobalsBrowserWorkbench,Python Show Class Browser,
Show Class Browser,
Category(org.python.pydev.ui.category.source,Pydev - Editor,Pydev editor category,true),
,
,,true),null),
org.eclipse.ui.defaultAcceleratorConfiguration,
org.eclipse.ui.contexts.window,,,system)
!SESSION 2010-02-14 21:31:27.214 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:31:29.667
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:31:42.230 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:31:44.714
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:31:49.417 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:31:52.339
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:35:21.839 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:35:23.995
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:36:40.089 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:36:42.152
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:40:24.527 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:40:26.573
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:40:46.948 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:40:48.995
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:40:58.839 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -clean

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:41:14.761
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:43:07.589 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:43:10.448
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 21:58:38.511 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 21:58:44.995
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:01:52.214 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:01:55.136
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:02:16.714 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:02:18.730
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:02:24.183 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -clean

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:02:29.964
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:03:23.652 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -clean

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:03:29.714
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:05:27.792 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -debug

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:05:30.714
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:05:37.761 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -debug

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:05:39.808
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:05:50.136 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -debug

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:05:52.152
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:06:16.558 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -debug

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:06:18.620
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)
!SESSION 2010-02-14 22:06:26.808 -----------------------------------------------
eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.java.product -debug

!ENTRY org.eclipse.osgi 4 0 2010-02-14 22:06:28.855
!MESSAGE Application error
!STACK 1
java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class file org/eclipse/ui/internal/registry/ViewRegistry
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:457)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.ui.internal.WorkbenchPlugin.getViewRegistry(WorkbenchPlugin.java:710)
at org.eclipse.ui.internal.Workbench.getViewRegistry(Workbench.java:3294)
at org.eclipse.ui.internal.keys.BindingPersistence.readBindingsFromRegistry(BindingPersistence.java:611)
at org.eclipse.ui.internal.keys.BindingPersistence.reRead(BindingPersistence.java:1394)
at org.eclipse.ui.internal.keys.BindingPersistence.read(BindingPersistence.java:1296)
at org.eclipse.ui.internal.keys.BindingService.readRegistryAndPreferences(BindingService.java:228)
at org.eclipse.ui.internal.Workbench.initializeDefaultServices(Workbench.java:1626)
at org.eclipse.ui.internal.Workbench.init(Workbench.java:1341)
at org.eclipse.ui.internal.Workbench.access$32(Workbench.java:1296)
at org.eclipse.ui.internal.Workbench$58.run(Workbench.java:2304)

Discussion

  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2010-02-14
    • priority: 5 --> 9
     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2010-02-14

    It is fatal error resulting in Eclipse resisting to start.

     
  • Fabio Zadrozny

    Fabio Zadrozny - 2010-02-16
    • status: open --> closed-wont-fix
     
  • Fabio Zadrozny

    Fabio Zadrozny - 2010-02-16

    The real problem is in eclipse (the error that Pydev logs is expected and properly handled).

    The real error is:
    java.lang.ClassFormatError: Illegal UTF8 string in constant pool in class
    file org/eclipse/ui/internal/registry/ViewRegistry

    Not sure why it happens in your install... it may mean that your eclipse install is corrupted. I'd suggest getting the latest eclipse/java and trying again and if the error persists, report the error at eclipse.org.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks